---
lang: en
title: 'API docs: boot.bootstrapper._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.boot.bootstrapper._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/boot](./boot.md) &gt; [Bootstrapper](./boot.bootstrapper.md) &gt; [(constructor)](./boot.bootstrapper._constructor_.md)

## Bootstrapper._constructor_

Constructs a new instance of the `Bootstrapper` class

<b>Signature:</b>

```typescript
constructor(app: Application & Bootable, projectRoot: string, bootOptions?: BootOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  app | <code>Application &amp; Bootable</code> |  |
|  projectRoot | <code>string</code> |  |
|  bootOptions | <code>BootOptions</code> |  |


